Subject: Re: [PATCH v4] pull, fetch: fix segfault in --set-upstream option

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 10:44:46 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> If we all agree that die() is a better action, that must be done
>> now, or it will become never once the change is released to the
>> field.
>
> Because someone might have been relying on the current behavior of
> segfaulting to stop their script? And a mere warning() would break
> things for them by having the script "work" if this patch were to make
> it into a release?

No, because someone WILL start rely on the warning() behaviour,
expecting that the "fixed" command will now run to completion
without exiting with non-zero status.  Once that happens, it will
become impossible to flip it to die().